<html>
<head>
<title>OgreCompositionTechnique.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_aff4b7fb8d70b825eb8a2d7b3cbd2684.html">OgreMain</a>      </li>
      <li class="navelem"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">OgreCompositionTechnique.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="OgreCompositionTechnique_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">    (Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2012 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment"></span>
<a name="l00009"></a>00009 <span class="comment">Permission is hereby granted, free of charge, to any person obtaining a copy</span>
<a name="l00010"></a>00010 <span class="comment">of this software and associated documentation files (the &quot;Software&quot;), to deal</span>
<a name="l00011"></a>00011 <span class="comment">in the Software without restriction, including without limitation the rights</span>
<a name="l00012"></a>00012 <span class="comment">to use, copy, modify, merge, publish, distribute, sublicense, and/or sell</span>
<a name="l00013"></a>00013 <span class="comment">copies of the Software, and to permit persons to whom the Software is</span>
<a name="l00014"></a>00014 <span class="comment">furnished to do so, subject to the following conditions:</span>
<a name="l00015"></a>00015 <span class="comment"></span>
<a name="l00016"></a>00016 <span class="comment">The above copyright notice and this permission notice shall be included in</span>
<a name="l00017"></a>00017 <span class="comment">all copies or substantial portions of the Software.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span>
<a name="l00020"></a>00020 <span class="comment">IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span>
<a name="l00021"></a>00021 <span class="comment">FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span>
<a name="l00022"></a>00022 <span class="comment">AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span>
<a name="l00023"></a>00023 <span class="comment">LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span>
<a name="l00024"></a>00024 <span class="comment">OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN</span>
<a name="l00025"></a>00025 <span class="comment">THE SOFTWARE.</span>
<a name="l00026"></a>00026 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00027"></a>00027 <span class="comment">*/</span>
<a name="l00028"></a>00028 <span class="preprocessor">#ifndef __CompositionTechnique_H__</span>
<a name="l00029"></a>00029 <span class="preprocessor"></span><span class="preprocessor">#define __CompositionTechnique_H__</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span>
<a name="l00031"></a>00031 <span class="preprocessor">#include &quot;<a class="code" href="OgrePrerequisites_8h.html">OgrePrerequisites.h</a>&quot;</span>
<a name="l00032"></a>00032 <span class="preprocessor">#include &quot;<a class="code" href="OgrePixelFormat_8h.html">OgrePixelFormat.h</a>&quot;</span>
<a name="l00033"></a>00033 <span class="preprocessor">#include &quot;<a class="code" href="OgreIteratorWrappers_8h.html">OgreIteratorWrappers.h</a>&quot;</span>
<a name="l00034"></a>00034 
<a name="l00035"></a>00035 <span class="keyword">namespace </span>Ogre {
<a name="l00044"></a><a class="code" href="classOgre_1_1CompositionTechnique.html">00044</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#a20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1CompositionTechnique.html" title="Base composition technique, can be subclassed in plugins.">CompositionTechnique</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator...">CompositorInstAlloc</a>
<a name="l00045"></a>00045     {
<a name="l00046"></a>00046     <span class="keyword">public</span>:
<a name="l00047"></a>00047         <a class="code" href="classOgre_1_1CompositionTechnique.html" title="Base composition technique, can be subclassed in plugins.">CompositionTechnique</a>(<a class="code" href="classOgre_1_1Compositor.html" title="Class representing a Compositor object.">Compositor</a> *parent);
<a name="l00048"></a>00048         <span class="keyword">virtual</span> ~<a class="code" href="classOgre_1_1CompositionTechnique.html" title="Base composition technique, can be subclassed in plugins.">CompositionTechnique</a>();
<a name="l00049"></a>00049     
<a name="l00050"></a>00050         <span class="comment">//The scope of a texture defined by the compositor</span>
<a name="l00051"></a><a class="code" href="classOgre_1_1CompositionTechnique.html#a72f5c327008d8292c004bcd5bdf6fb1e">00051</a>         <span class="keyword">enum</span> <a class="code" href="classOgre_1_1CompositionTechnique.html#a72f5c327008d8292c004bcd5bdf6fb1e">TextureScope</a> { 
<a name="l00052"></a>00052             <span class="comment">//Local texture - only available to the compositor passes in this technique</span>
<a name="l00053"></a><a class="code" href="classOgre_1_1CompositionTechnique.html#a72f5c327008d8292c004bcd5bdf6fb1ea6f778889142bb74cc5aefa4f396b386d">00053</a>             <a class="code" href="classOgre_1_1CompositionTechnique.html#a72f5c327008d8292c004bcd5bdf6fb1ea6f778889142bb74cc5aefa4f396b386d">TS_LOCAL</a>, 
<a name="l00054"></a>00054             <span class="comment">//Chain texture - available to the other compositors in the chain</span>
<a name="l00055"></a><a class="code" href="classOgre_1_1CompositionTechnique.html#a72f5c327008d8292c004bcd5bdf6fb1ea90fc4ed7303d0d5b549dcc1873ddcde7">00055</a>             <a class="code" href="classOgre_1_1CompositionTechnique.html#a72f5c327008d8292c004bcd5bdf6fb1ea90fc4ed7303d0d5b549dcc1873ddcde7">TS_CHAIN</a>, 
<a name="l00056"></a>00056             <span class="comment">//Global texture - available to everyone in every scope</span>
<a name="l00057"></a><a class="code" href="classOgre_1_1CompositionTechnique.html#a72f5c327008d8292c004bcd5bdf6fb1eaeaa58ffdb5ed352498ce0fa8263bda4d">00057</a>             TS_GLOBAL 
<a name="l00058"></a>00058         };
<a name="l00059"></a>00059 
<a name="l00061"></a><a class="code" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html">00061</a>         <span class="keyword">class </span><a class="code" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html" title="Local texture definition.">TextureDefinition</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator...">CompositorInstAlloc</a>
<a name="l00062"></a>00062         {
<a name="l00063"></a>00063         <span class="keyword">public</span>:
<a name="l00064"></a><a class="code" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html#a23d1b9553769ca1f4e47175a567fcf0c">00064</a>             <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html#a23d1b9553769ca1f4e47175a567fcf0c">name</a>;
<a name="l00065"></a>00065             <span class="comment">//Texture definition being a reference is determined by these two fields not being empty.</span>
<a name="l00066"></a><a class="code" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html#ae59f6efc2a9d0bc5cf539c647351848d">00066</a>             <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html#ae59f6efc2a9d0bc5cf539c647351848d">refCompName</a>; <span class="comment">//If a reference, the name of the compositor being referenced</span>
<a name="l00067"></a><a class="code" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html#a438d2780a5dfe0ac83309b0b9e7dde96">00067</a>             <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html#a438d2780a5dfe0ac83309b0b9e7dde96">refTexName</a>;  <span class="comment">//If a reference, the name of the texture in the compositor being referenced</span>
<a name="l00068"></a><a class="code" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html#aa539594db7744f2fb7ddb4ffb6a052e4">00068</a>             <span class="keywordtype">size_t</span> <a class="code" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html#aa539594db7744f2fb7ddb4ffb6a052e4">width</a>;       <span class="comment">// 0 means adapt to target width</span>
<a name="l00069"></a><a class="code" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html#a711800ff7a4a331a01f05061c4e7950d">00069</a>             <span class="keywordtype">size_t</span> <a class="code" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html#a711800ff7a4a331a01f05061c4e7950d">height</a>;      <span class="comment">// 0 means adapt to target height</span>
<a name="l00070"></a><a class="code" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html#a5c71286e9daa688d6028deb524c15ddc">00070</a>             <span class="keywordtype">float</span> <a class="code" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html#a5c71286e9daa688d6028deb524c15ddc">widthFactor</a>;  <span class="comment">// multiple of target width to use (if width = 0)</span>
<a name="l00071"></a><a class="code" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html#a99163323a7ab7d6b661f538b17c8f97b">00071</a>             <span class="keywordtype">float</span> <a class="code" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html#a99163323a7ab7d6b661f538b17c8f97b">heightFactor</a>; <span class="comment">// multiple of target height to use (if height = 0)</span>
<a name="l00072"></a><a class="code" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html#acdc503bc2adeee31d32988c6c994c0d6">00072</a>             <a class="code" href="group__Image.html#ga7267e8cb21c010de075e82ffbc6a572b">PixelFormatList</a> <a class="code" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html#acdc503bc2adeee31d32988c6c994c0d6">formatList</a>; <span class="comment">// more than one means MRT</span>
<a name="l00073"></a><a class="code" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html#a52fb27a3ee9bccc4e4cc4bd5d5b2e3fb">00073</a>             <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html#a52fb27a3ee9bccc4e4cc4bd5d5b2e3fb">fsaa</a>;          <span class="comment">// FSAA enabled; true = determine from main target (if render_scene), false = disable</span>
<a name="l00074"></a><a class="code" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html#a07a1f192baf1bb43445dd40bbbaef114">00074</a>             <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html#a07a1f192baf1bb43445dd40bbbaef114">hwGammaWrite</a>;  <span class="comment">// Do sRGB gamma correction on write (only 8-bit per channel formats) </span>
<a name="l00075"></a><a class="code" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html#aa9c8a54bdaa418233c6f10c3a8a2eb98">00075</a>             <a class="code" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a> <a class="code" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html#aa9c8a54bdaa418233c6f10c3a8a2eb98">depthBufferId</a>;<span class="comment">//Depth Buffer&#39;s pool ID. (unrelated to &quot;pool&quot; variable below)</span>
<a name="l00076"></a><a class="code" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html#a90341172974dbdea53d010c4d5aa90da">00076</a>             <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html#a90341172974dbdea53d010c4d5aa90da">pooled</a>;        <span class="comment">// whether to use pooled textures for this one</span>
<a name="l00077"></a><a class="code" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html#a8826739f93ea3bb356c4a1bb5b5b008c">00077</a>             <a class="code" href="classOgre_1_1CompositionTechnique.html#a72f5c327008d8292c004bcd5bdf6fb1e">TextureScope</a> <a class="code" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html#a8826739f93ea3bb356c4a1bb5b5b008c">scope</a>; <span class="comment">// Which scope has access to this texture</span>
<a name="l00078"></a>00078 
<a name="l00079"></a><a class="code" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html#a7e371a5590972522e7f8024295bb8a59">00079</a>             <a class="code" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html" title="Local texture definition.">TextureDefinition</a>() :width(0), height(0), widthFactor(1.0f), heightFactor(1.0f), 
<a name="l00080"></a>00080                 fsaa(true), hwGammaWrite(false), depthBufferId(1), pooled(false), scope(TS_LOCAL) {}
<a name="l00081"></a>00081         };
<a name="l00083"></a><a class="code" href="classOgre_1_1CompositionTechnique.html#a3413737f589801ab8184dd3bd29c5b7a">00083</a>         <span class="keyword">typedef</span> <a class="code" href="structOgre_1_1vector.html">vector&lt;CompositionTargetPass *&gt;::type</a> <a class="code" href="classOgre_1_1CompositionTechnique.html#a3413737f589801ab8184dd3bd29c5b7a" title="Typedefs for several iterators.">TargetPasses</a>;
<a name="l00084"></a><a class="code" href="classOgre_1_1CompositionTechnique.html#a5a54aecf9c72e8323b12d55199308c66">00084</a>         <span class="keyword">typedef</span> <a class="code" href="classOgre_1_1VectorIterator.html" title="Concrete IteratorWrapper for nonconst access to the underlying container.">VectorIterator&lt;TargetPasses&gt;</a> <a class="code" href="classOgre_1_1CompositionTechnique.html#a5a54aecf9c72e8323b12d55199308c66">TargetPassIterator</a>;
<a name="l00085"></a><a class="code" href="classOgre_1_1CompositionTechnique.html#afc922fc28a5ac1bf909a3ddda433188a">00085</a>         <span class="keyword">typedef</span> <a class="code" href="structOgre_1_1vector.html">vector&lt;TextureDefinition*&gt;::type</a> <a class="code" href="classOgre_1_1CompositionTechnique.html#afc922fc28a5ac1bf909a3ddda433188a">TextureDefinitions</a>;
<a name="l00086"></a><a class="code" href="classOgre_1_1CompositionTechnique.html#a34f28a53486ea2cee58619b2c1a639fe">00086</a>         <span class="keyword">typedef</span> <a class="code" href="classOgre_1_1VectorIterator.html" title="Concrete IteratorWrapper for nonconst access to the underlying container.">VectorIterator&lt;TextureDefinitions&gt;</a> <a class="code" href="classOgre_1_1CompositionTechnique.html#a34f28a53486ea2cee58619b2c1a639fe">TextureDefinitionIterator</a>;
<a name="l00087"></a>00087         
<a name="l00091"></a>00091         <a class="code" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html" title="Local texture definition.">TextureDefinition</a> *createTextureDefinition(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name);
<a name="l00092"></a>00092         
<a name="l00095"></a>00095         <span class="keywordtype">void</span> removeTextureDefinition(<span class="keywordtype">size_t</span> idx);
<a name="l00096"></a>00096         
<a name="l00099"></a>00099         <a class="code" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html" title="Local texture definition.">TextureDefinition</a> *getTextureDefinition(<span class="keywordtype">size_t</span> idx);
<a name="l00100"></a>00100         
<a name="l00103"></a>00103         <a class="code" href="classOgre_1_1CompositionTechnique_1_1TextureDefinition.html" title="Local texture definition.">TextureDefinition</a> *getTextureDefinition(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name);
<a name="l00104"></a>00104 
<a name="l00107"></a>00107         <span class="keywordtype">size_t</span> getNumTextureDefinitions();
<a name="l00108"></a>00108         
<a name="l00111"></a>00111         <span class="keywordtype">void</span> removeAllTextureDefinitions();
<a name="l00112"></a>00112         
<a name="l00114"></a>00114         <a class="code" href="classOgre_1_1VectorIterator.html" title="Concrete IteratorWrapper for nonconst access to the underlying container.">TextureDefinitionIterator</a> getTextureDefinitionIterator(<span class="keywordtype">void</span>);
<a name="l00115"></a>00115         
<a name="l00118"></a>00118         <a class="code" href="classOgre_1_1CompositionTargetPass.html" title="Object representing one render to a RenderTarget or Viewport in the Ogre Composition framework...">CompositionTargetPass</a> *createTargetPass();
<a name="l00119"></a>00119         
<a name="l00122"></a>00122         <span class="keywordtype">void</span> removeTargetPass(<span class="keywordtype">size_t</span> idx);
<a name="l00123"></a>00123         
<a name="l00126"></a>00126         <a class="code" href="classOgre_1_1CompositionTargetPass.html" title="Object representing one render to a RenderTarget or Viewport in the Ogre Composition framework...">CompositionTargetPass</a> *getTargetPass(<span class="keywordtype">size_t</span> idx);
<a name="l00127"></a>00127         
<a name="l00130"></a>00130         <span class="keywordtype">size_t</span> getNumTargetPasses();
<a name="l00131"></a>00131         
<a name="l00134"></a>00134         <span class="keywordtype">void</span> removeAllTargetPasses();
<a name="l00135"></a>00135         
<a name="l00137"></a>00137         <a class="code" href="classOgre_1_1VectorIterator.html" title="Concrete IteratorWrapper for nonconst access to the underlying container.">TargetPassIterator</a> getTargetPassIterator(<span class="keywordtype">void</span>);
<a name="l00138"></a>00138         
<a name="l00141"></a>00141         <a class="code" href="classOgre_1_1CompositionTargetPass.html" title="Object representing one render to a RenderTarget or Viewport in the Ogre Composition framework...">CompositionTargetPass</a> *getOutputTargetPass();
<a name="l00142"></a>00142         
<a name="l00146"></a>00146         <span class="keyword">virtual</span> <span class="keywordtype">bool</span> isSupported(<span class="keywordtype">bool</span> allowTextureDegradation);
<a name="l00147"></a>00147         
<a name="l00151"></a>00151         <span class="keyword">virtual</span> <span class="keywordtype">void</span> setSchemeName(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; schemeName);
<a name="l00153"></a><a class="code" href="classOgre_1_1CompositionTechnique.html#a68d20f2065db1266d341eaa039ed4364">00153</a>         <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="code" href="classOgre_1_1CompositionTechnique.html#a68d20f2065db1266d341eaa039ed4364" title="Get the scheme name assigned to this technique.">getSchemeName</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mSchemeName; }
<a name="l00154"></a>00154         
<a name="l00158"></a><a class="code" href="classOgre_1_1CompositionTechnique.html#af221a1809b2de447c7036dd356026ad5">00158</a>         <span class="keywordtype">void</span> setCompositorLogicName(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; compositorLogicName) 
<a name="l00159"></a>00159             { mCompositorLogicName = compositorLogicName; }
<a name="l00161"></a><a class="code" href="classOgre_1_1CompositionTechnique.html#aa992321a0ae63a5c31bb62fe25dc2ed5">00161</a>         <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="code" href="classOgre_1_1CompositionTechnique.html#aa992321a0ae63a5c31bb62fe25dc2ed5" title="Get the compositor logic name assigned to this technique.">getCompositorLogicName</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mCompositorLogicName; }
<a name="l00162"></a>00162 
<a name="l00164"></a>00164         <a class="code" href="classOgre_1_1Compositor.html" title="Class representing a Compositor object.">Compositor</a> *getParent();
<a name="l00165"></a>00165     <span class="keyword">private</span>:
<a name="l00167"></a><a class="code" href="classOgre_1_1CompositionTechnique.html#a791ad4ded1b613b23d43db23b62c690b">00167</a>         <a class="code" href="classOgre_1_1Compositor.html" title="Class representing a Compositor object.">Compositor</a> *<a class="code" href="classOgre_1_1CompositionTechnique.html#a791ad4ded1b613b23d43db23b62c690b" title="Parent compositor.">mParent</a>;
<a name="l00169"></a><a class="code" href="classOgre_1_1CompositionTechnique.html#a8d39acbfeeaa68fa427368cc8d88102f">00169</a>         <a class="code" href="classOgre_1_1CompositionTechnique.html#afc922fc28a5ac1bf909a3ddda433188a">TextureDefinitions</a> <a class="code" href="classOgre_1_1CompositionTechnique.html#a8d39acbfeeaa68fa427368cc8d88102f" title="Local texture definitions.">mTextureDefinitions</a>;
<a name="l00170"></a>00170         
<a name="l00172"></a><a class="code" href="classOgre_1_1CompositionTechnique.html#ab7b054bcbf8c12d0b67adecba5dfcff1">00172</a>         <a class="code" href="classOgre_1_1CompositionTechnique.html#a3413737f589801ab8184dd3bd29c5b7a" title="Typedefs for several iterators.">TargetPasses</a> <a class="code" href="classOgre_1_1CompositionTechnique.html#ab7b054bcbf8c12d0b67adecba5dfcff1" title="Intermediate target passes.">mTargetPasses</a>;
<a name="l00174"></a><a class="code" href="classOgre_1_1CompositionTechnique.html#a36aa8592eb69b1a98452ca89cb6d091d">00174</a>         <a class="code" href="classOgre_1_1CompositionTargetPass.html" title="Object representing one render to a RenderTarget or Viewport in the Ogre Composition framework...">CompositionTargetPass</a> *<a class="code" href="classOgre_1_1CompositionTechnique.html#a36aa8592eb69b1a98452ca89cb6d091d" title="Output target pass (can be only one)">mOutputTarget</a>;  
<a name="l00175"></a>00175 
<a name="l00177"></a><a class="code" href="classOgre_1_1CompositionTechnique.html#ac20b33fb38f177280ddb68de71bcc865">00177</a>         <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1CompositionTechnique.html#ac20b33fb38f177280ddb68de71bcc865" title="Optional scheme name.">mSchemeName</a>;
<a name="l00178"></a>00178         
<a name="l00180"></a><a class="code" href="classOgre_1_1CompositionTechnique.html#a8e774e6d5f34aaec7f870b1fefe4536f">00180</a>         <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1CompositionTechnique.html#a8e774e6d5f34aaec7f870b1fefe4536f" title="Optional compositor logic name.">mCompositorLogicName</a>;
<a name="l00181"></a>00181 
<a name="l00182"></a>00182     };
<a name="l00186"></a>00186 }
<a name="l00187"></a>00187 
<a name="l00188"></a>00188 <span class="preprocessor">#endif</span>
</pre></div></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:49
</p>
</body>
</html>
